Bug 1020813 - missing requires: vxl-devel for vcl_limits.h
missing requires: vxl-devel for vcl_limits.h
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: InsightToolkit (Show other bugs)
19
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Mario Ceresa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 06:32 EDT by Ian Collier
Modified: 2013-10-20 05:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-20 05:50:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Collier 2013-10-18 06:32:50 EDT
If you install InsightToolkit-devel and write a program that includes /usr/include/InsightToolkit/itkNumericTraits.h then it will break at the line

#include "vcl_limits.h"

because that's not included in the package.  It can be found in vxl-devel, so probably InsightToolkit-devel should bring vxl-devel in as a dependency.
Comment 1 Sebastian Pölsterl 2013-10-20 05:50:51 EDT
This is the case in f20 and rawhide already, it won't be fixed in f19 I'm afraid, though.

Note You need to log in before you can comment on or make changes to this bug.